package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 代理商分润表(TenantProxyDividend)表实体类
 *
 * @author hgw
 * @since 2022-04-22 14:08:19
 */
@ApiModel(value = "tenant_proxy_dividend-代理商分润表")
public class TenantProxyDividend implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("proxy_id_")
    @ApiModelProperty(value = "代理商id")
    private Integer proxyId;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @TableField("total_month_")
    @ApiModelProperty(value = "本次激活总月份")
    private Integer totalMonth;

    @TableField("active_time_")
    @ApiModelProperty(value = "激活时间")
    private Date activeTime;

    @TableField("order_id_")
    @ApiModelProperty(value = "激活团练宝的订单id")
    private Integer orderId;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getProxyId() {
        return proxyId;
    }

    public void setProxyId(Integer proxyId) {
        this.proxyId = proxyId;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getTotalMonth() {
        return totalMonth;
    }

    public void setTotalMonth(Integer totalMonth) {
        this.totalMonth = totalMonth;
    }

    public Date getActiveTime() {
        return activeTime;
    }

    public void setActiveTime(Date activeTime) {
        this.activeTime = activeTime;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

}

